| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
uiEMPartServer Class Reference
uiEarthModel

Earth Model UI Part Server. More...

`#include <uiempartserv.h>`

Inheritance diagram for uiEMPartServer:
[legend]

## Public Member Functions
| uiEMPartServer (uiApplService &)
| ~uiEMPartServer ()
bool | askUserToSave (const EM::ObjectID &, bool withcancl) const
bool | attr2Geom (const EM::ObjectID &, const char *nm, const DataPointSet &)
void | computeIsochron ()
bool | computeVariogramAuxData (const EM::ObjectID &, const char *, DataPointSet &)
void | createHorWithConstZ (bool is2d)
void | deriveHor3DFrom2D (const EM::ObjectID &)
void | displayEMObject (const MultiID &)
bool | dispLineOnCreation () const
bool | export2DHorizon (bool bulk=false)
bool | export3DHorizon (bool bulk=false)
bool | exportFault (bool single=false)
bool | exportFaultSet ()
bool | exportFaultStickSet (bool single=false)
bool | fillHoles (const EM::ObjectID &, bool)
void | fillPar (IOPar &) const
void | fillPickSet (Pick::Set &, const MultiID &) const
bool | filterAuxData (const EM::ObjectID &, const char *nm, DataPointSet &res)
bool | filterSurface (const EM::ObjectID &)
MultiID | genRandLine (int opt)
bool | geom2Attr (const EM::ObjectID &)
bool | getAllAuxData (const EM::ObjectID &, DataPointSet &, TypeSet< float > *shfs=0, const TrcKeyZSampling *cs=0) const
bool | getAuxData (const EM::ObjectID &, int auxdatanr, DataPointSet &, float &shift) const
ZAxisTransform * | getHorizonZAxisTransform (bool is2d) const
BufferString | getName (const EM::ObjectID &) const
EM::ObjectID | getObjectID (const MultiID &) const
MultiID | getStorageID (const EM::ObjectID &) const
void | getSurfaceDef2D (const ObjectSet< MultiID > &, const BufferStringSet &sellines, TypeSet< Coord > &, TypeSet< BinID > &, TypeSet< Interval< float > > &) const
mDeprecatedDef void | getSurfaceDef2D (const ObjectSet< MultiID > &, const BufferStringSet &sellines, TypeSet< Coord > &, TypeSet< Interval< float > > &) const
void | getSurfaceDef3D (const TypeSet< EM::ObjectID > &, BinIDValueSet &, const TrcKeySampling &) const
void | getSurfaceInfo (ObjectSet< SurfaceInfo > &) const
const char * | getType (const EM::ObjectID &) const
uiString | getUiName (const EM::ObjectID &) const
uiString | getUiType (const EM::ObjectID &) const
TrcKeySampling | horizon3DDisplayRange () const
void | import2DFaultStickset ()
bool | import3DHorAttr ()
bool | import3DHorGeom (bool bulk=false)
void | importBulk2DFaultStickset ()
bool | importBulk2DHorizon ()
bool | importBulkFaults ()
bool | importBulkFaultStickSet (bool is2d=false)
bool | importFault ()
bool | importFaultSet ()
bool | importFaultStickSet ()
bool | importHorFromZMap ()
bool | interpolateAuxData (const EM::ObjectID &, const char *nm, DataPointSet &res)
bool | isChanged (const EM::ObjectID &) const
bool | isEmpty (const EM::ObjectID &) const
bool | isFullResolution (const EM::ObjectID &) const
bool | isFullyLoaded (const EM::ObjectID &) const
bool | isGeometryChanged (const EM::ObjectID &) const
bool | loadAuxData (const EM::ObjectID &, const BufferStringSet &, bool removeold=true)
int | loadAuxData (const EM::ObjectID &, const char *, bool removeold=true)
bool | loadSurface (const MultiID &, bool force, const EM::SurfaceIODataSelection *s=nullptr) const
bool | loadSurface (const MultiID &, const EM::SurfaceIODataSelection *s=nullptr) const
void | manage2DHorizons ()
void | manage3DFaults ()
void | manage3DHorizons ()
void | manageBodies ()
void | manageFaultSets ()
void | manageFaultStickSets ()
void | managePreLoad ()
void | manageSurfaces (const char *typ)
const char * | name () const override
int | nrAttributes (const EM::ObjectID &) const
void | processTime2Depth (uiParent *, EM::ObjectType)
void | removeTreeObject (const EM::ObjectID &)
void | removeUndo ()
void | selectBodies (RefObjectSet< EM::EMObject > &, uiParent *=nullptr)
| Returned set is reffed and must be unrefed by caller.
void | selectFaults (RefObjectSet< EM::EMObject > &, bool is2d, uiParent *=nullptr, const ZDomain::Info *=nullptr)
| Returned set is reffed and must be unrefed by caller.
void | selectFaultSets (RefObjectSet< EM::EMObject > &, uiParent *=nullptr, const ZDomain::Info *=nullptr)
| Returned set is reffed and must be unrefed by caller.
void | selectFaultStickSets (RefObjectSet< EM::EMObject > &, uiParent *=nullptr, const ZDomain::Info *=nullptr)
| Returned set is reffed and must be unrefed by caller.
void | selectHorizons (RefObjectSet< EM::EMObject > &, bool is2d, uiParent *=nullptr, const ZDomain::Info *=nullptr)
| Returned set is reffed and must be unrefed by caller.
const EM::ObjectID & | selEMID () const
EM::EMObject * | selEMObject ()
int | setAuxData (const EM::ObjectID &, DataPointSet &, const char *nm, int valnr, float shift)
void | setHorizon3DDisplayRange (const TrcKeySampling &)
bool | showLoadAuxDataDlg (const EM::ObjectID &)
bool | showLoadFaultAuxDataDlg (const EM::ObjectID &)
bool | storeAuxData (const EM::ObjectID &, BufferString &auxdataname, bool storeas=false) const
bool | storeFaultAuxData (const EM::ObjectID &id, BufferString &auxdatanm, const Array2D< float > &data)
bool | storeObject (const EM::ObjectID &, bool storeas, MultiID &storagekey, float shift=0) const
bool | storeObject (const EM::ObjectID &, bool storeas=false) const
bool | usePar (const IOPar &)
Public Member Functions inherited from uiApplPartServer
| ~uiApplPartServer ()
uiApplService & | appserv ()
const uiApplService & | appserv () const
| mOD_DisableCopy (uiApplPartServer) virtual const char *name() const =0
void | setParent (uiParent *)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static int | evDisplayHorizon ()
static int | evRemoveTreeObject ()
static void | getAllSurfaceInfo (ObjectSet< SurfaceInfo > &, bool is2d, const ZDomain::Info *=nullptr)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
bool | changeAuxData (const EM::ObjectID &, const char *nm, bool interp, DataPointSet &res)
void | cleanup ()
void | dialogToBeDeleted (CallBacker *)
void | displayOnCreateCB (CallBacker *)
EM::uiTime2DepthDlg * | getTime2DepthEMDlg (uiParent *, EM::ObjectType, EM::uiTime2DepthDlg *&)
void | importReadyCB (CallBacker *)
bool | loadAuxData (const EM::ObjectID &, const TypeSet< int > &, bool removeold=true)
void | selectSurfaces (uiParent *, RefObjectSet< EM::EMObject > &, const char *type, const ZDomain::Info *)
void | survChangedCB (CallBacker *)
Protected Member Functions inherited from uiApplPartServer
| uiApplPartServer (uiApplService &)
void * | getObject (int objid) const
uiParent * | parent () const
bool | sendEvent (int evid) const

## Static Protected Member Functions
static const char * | sKeySectionID ()

## Protected Attributes
uiCreateHorizon * | crhordlg_ = nullptr
bool | disponcreation_ = false
uiExport2DHorizon * | exp2dhordlg_ = nullptr
uiExportFault * | expfltdlg_ = nullptr
uiExportFault * | expfltsetdlg_ = nullptr
uiExportFault * | expfltstickdlg_ = nullptr
uiExportHorizon * | exphordlg_ = nullptr
uiBulk2DHorizonImport * | impbulk2dhordlg_ = nullptr
uiBulkFaultImport * | impbulkfltdlg_ = nullptr
uiBulkFaultImport * | impbulkfssdlg_ = nullptr
uiBulkHorizonImport * | impbulkhordlg_ = nullptr
uiImportFault3D * | impfltdlg_ = nullptr
uiBulkFaultImport * | impfltsetdlg_ = nullptr
uiImportFault3D * | impfltstickdlg_ = nullptr
uiImportFaultStickSet2D * | impfss2ddlg_ = nullptr
uiImportHorizon * | imphorattrdlg_ = nullptr
uiImportHorizon * | imphorgeomdlg_ = nullptr
uiImpHorFromZMap * | impzmapdlg_ = nullptr
uiSurfaceMan * | man2dhordlg_ = nullptr
uiSurfaceMan * | man3dfaultdlg_ = nullptr
uiSurfaceMan * | man3dhordlg_ = nullptr
uiSurfaceMan * | manbodydlg_ = nullptr
uiSurfaceMan * | manfltsetdlg_ = nullptr
uiSurfaceMan * | manfssdlg_ = nullptr
TrcKeySampling | selectedrg_
EM::ObjectID | selemid_
EM::uiTime2DepthDlg * | t2d2dfssdlg_ = nullptr
EM::uiTime2DepthDlg * | t2d2dhordlg_ = nullptr
EM::uiTime2DepthDlg * | t2d3dfssdlg_ = nullptr
EM::uiTime2DepthDlg * | t2d3dhordlg_ = nullptr
EM::uiTime2DepthDlg * | t2dfltdlg_ = nullptr
EM::uiTime2DepthDlg * | t2dfltsetdlg_ = nullptr
ObjectSet< uiVariogramDisplay > | variodlgs_

## Detailed Description

Earth Model UI Part Server.

<>

## Constructor & Destructor Documentation

## ◆ uiEMPartServer()

uiEMPartServer::uiEMPartServer | ( | uiApplService & |  | ) |

## ◆ ~uiEMPartServer()

uiEMPartServer::~uiEMPartServer | ( |  | ) |

## Member Function Documentation

## ◆ askUserToSave()

bool uiEMPartServer::askUserToSave | ( | const EM::ObjectID & | ,
|  | bool | withcancl ) const

If object has changed, user is asked whether to save it or not, and if so, the object is saved. Returns false when save option is cancelled.

## ◆ attr2Geom()

bool uiEMPartServer::attr2Geom | ( | const EM::ObjectID & | ,
|  | const char * | nm,
|  | const DataPointSet & | )

## ◆ changeAuxData()

bool uiEMPartServer::changeAuxData | ( | const EM::ObjectID & | ,
|  | const char * | nm,
|  | bool | interp,
|  | DataPointSet & | res )
| protected

## ◆ cleanup()

void uiEMPartServer::cleanup | ( |  | ) |
| protected

## ◆ computeIsochron()

void uiEMPartServer::computeIsochron | ( |  | ) |

## ◆ computeVariogramAuxData()

bool uiEMPartServer::computeVariogramAuxData | ( | const EM::ObjectID & | ,
|  | const char * | ,
|  | DataPointSet & | )

## ◆ createHorWithConstZ()

void uiEMPartServer::createHorWithConstZ | ( | bool | is2d | ) |

## ◆ deriveHor3DFrom2D()

void uiEMPartServer::deriveHor3DFrom2D | ( | const EM::ObjectID & |  | ) |

## ◆ dialogToBeDeleted()

void uiEMPartServer::dialogToBeDeleted | ( | CallBacker * |  | ) |
| protected

## ◆ displayEMObject()

void uiEMPartServer::displayEMObject | ( | const MultiID & |  | ) |

## ◆ displayOnCreateCB()

void uiEMPartServer::displayOnCreateCB | ( | CallBacker * |  | ) |
| protected

## ◆ dispLineOnCreation()

bool uiEMPartServer::dispLineOnCreation | ( |  | ) | const
| inline

## ◆ evDisplayHorizon()

static int uiEMPartServer::evDisplayHorizon | ( |  | ) |
| static

## ◆ evRemoveTreeObject()

static int uiEMPartServer::evRemoveTreeObject | ( |  | ) |
| static

## ◆ export2DHorizon()

bool uiEMPartServer::export2DHorizon | ( | bool | bulk = false | ) |

## ◆ export3DHorizon()

bool uiEMPartServer::export3DHorizon | ( | bool | bulk = false | ) |

## ◆ exportFault()

bool uiEMPartServer::exportFault | ( | bool | single = false | ) |

## ◆ exportFaultSet()

bool uiEMPartServer::exportFaultSet | ( |  | ) |

## ◆ exportFaultStickSet()

bool uiEMPartServer::exportFaultStickSet | ( | bool | single = false | ) |

## ◆ fillHoles()

bool uiEMPartServer::fillHoles | ( | const EM::ObjectID & | ,
|  | bool | )

return bool is overwrite old horizon or not.

## ◆ fillPar()

void uiEMPartServer::fillPar | ( | IOPar & |  | ) | const

## ◆ fillPickSet()

void uiEMPartServer::fillPickSet | ( | Pick::Set & | ,
|  | const MultiID & | ) const

## ◆ filterAuxData()

bool uiEMPartServer::filterAuxData | ( | const EM::ObjectID & | ,
|  | const char * | nm,
|  | DataPointSet & | res )

## ◆ filterSurface()

bool uiEMPartServer::filterSurface | ( | const EM::ObjectID & |  | ) |

return bool is overwrite old horizon or not.

## ◆ genRandLine()

MultiID uiEMPartServer::genRandLine | ( | int | opt | ) |

## ◆ geom2Attr()

bool uiEMPartServer::geom2Attr | ( | const EM::ObjectID & |  | ) |

## ◆ getAllAuxData()

bool uiEMPartServer::getAllAuxData | ( | const EM::ObjectID & | ,
|  | DataPointSet & | ,
|  | TypeSet< float > * | shfs = 0,
|  | const TrcKeyZSampling * | cs = 0 ) const

## ◆ getAllSurfaceInfo()

static void uiEMPartServer::getAllSurfaceInfo | ( | ObjectSet< SurfaceInfo > & | ,
|  | bool | is2d,
|  | const ZDomain::Info * | = nullptr )
| static

## ◆ getAuxData()

bool uiEMPartServer::getAuxData | ( | const EM::ObjectID & | ,
|  | int | auxdatanr,
|  | DataPointSet & | ,
|  | float & | shift ) const

## ◆ getHorizonZAxisTransform()

ZAxisTransform * uiEMPartServer::getHorizonZAxisTransform | ( | bool | is2d | ) | const

## ◆ getName()

BufferString uiEMPartServer::getName | ( | const EM::ObjectID & |  | ) | const

## ◆ getObjectID()

EM::ObjectID uiEMPartServer::getObjectID | ( | const MultiID & |  | ) | const

## ◆ getStorageID()

MultiID uiEMPartServer::getStorageID | ( | const EM::ObjectID & |  | ) | const

## ◆ getSurfaceDef2D() [1/2]

void uiEMPartServer::getSurfaceDef2D | ( | const ObjectSet< MultiID > & | ,
|  | const BufferStringSet & | sellines,
|  | TypeSet< Coord > & | ,
|  | TypeSet< BinID > & | ,
|  | TypeSet< Interval< float > > & | ) const

## ◆ getSurfaceDef2D() [2/2]

mDeprecatedDef void uiEMPartServer::getSurfaceDef2D | ( | const ObjectSet< MultiID > & | ,
|  | const BufferStringSet & | sellines,
|  | TypeSet< Coord > & | ,
|  | TypeSet< Interval< float > > & | ) const

## ◆ getSurfaceDef3D()

void uiEMPartServer::getSurfaceDef3D | ( | const TypeSet< EM::ObjectID > & | ,
|  | BinIDValueSet & | ,
|  | const TrcKeySampling & | ) const

## ◆ getSurfaceInfo()

void uiEMPartServer::getSurfaceInfo | ( | ObjectSet< SurfaceInfo > & |  | ) | const

## ◆ getTime2DepthEMDlg()

EM::uiTime2DepthDlg * uiEMPartServer::getTime2DepthEMDlg | ( | uiParent * | ,
|  | EM::ObjectType | ,
|  | EM::uiTime2DepthDlg *& | )
| protected

## ◆ getType()

const char * uiEMPartServer::getType | ( | const EM::ObjectID & |  | ) | const

## ◆ getUiName()

uiString uiEMPartServer::getUiName | ( | const EM::ObjectID & |  | ) | const

## ◆ getUiType()

uiString uiEMPartServer::getUiType | ( | const EM::ObjectID & |  | ) | const

## ◆ horizon3DDisplayRange()

TrcKeySampling uiEMPartServer::horizon3DDisplayRange | ( |  | ) | const
| inline

## ◆ import2DFaultStickset()

void uiEMPartServer::import2DFaultStickset | ( |  | ) |

## ◆ import3DHorAttr()

bool uiEMPartServer::import3DHorAttr | ( |  | ) |

## ◆ import3DHorGeom()

bool uiEMPartServer::import3DHorGeom | ( | bool | bulk = false | ) |

## ◆ importBulk2DFaultStickset()

void uiEMPartServer::importBulk2DFaultStickset | ( |  | ) |

## ◆ importBulk2DHorizon()

bool uiEMPartServer::importBulk2DHorizon | ( |  | ) |

## ◆ importBulkFaults()

bool uiEMPartServer::importBulkFaults | ( |  | ) |

## ◆ importBulkFaultStickSet()

bool uiEMPartServer::importBulkFaultStickSet | ( | bool | is2d = false | ) |

## ◆ importFault()

bool uiEMPartServer::importFault | ( |  | ) |

## ◆ importFaultSet()

bool uiEMPartServer::importFaultSet | ( |  | ) |

## ◆ importFaultStickSet()

bool uiEMPartServer::importFaultStickSet | ( |  | ) |

## ◆ importHorFromZMap()

bool uiEMPartServer::importHorFromZMap | ( |  | ) |

## ◆ importReadyCB()

void uiEMPartServer::importReadyCB | ( | CallBacker * |  | ) |
| protected

## ◆ interpolateAuxData()

bool uiEMPartServer::interpolateAuxData | ( | const EM::ObjectID & | ,
|  | const char * | nm,
|  | DataPointSet & | res )

## ◆ isChanged()

bool uiEMPartServer::isChanged | ( | const EM::ObjectID & |  | ) | const

## ◆ isEmpty()

bool uiEMPartServer::isEmpty | ( | const EM::ObjectID & |  | ) | const

## ◆ isFullResolution()

bool uiEMPartServer::isFullResolution | ( | const EM::ObjectID & |  | ) | const

## ◆ isFullyLoaded()

bool uiEMPartServer::isFullyLoaded | ( | const EM::ObjectID & |  | ) | const

## ◆ isGeometryChanged()

bool uiEMPartServer::isGeometryChanged | ( | const EM::ObjectID & |  | ) | const

## ◆ loadAuxData() [1/3]

bool uiEMPartServer::loadAuxData | ( | const EM::ObjectID & | ,
|  | const BufferStringSet & | ,
|  | bool | removeold = true )

## ◆ loadAuxData() [2/3]

int uiEMPartServer::loadAuxData | ( | const EM::ObjectID & | ,
|  | const char * | ,
|  | bool | removeold = true )

Loads the specified data into memory and returns its auxdatanr.

## ◆ loadAuxData() [3/3]

bool uiEMPartServer::loadAuxData | ( | const EM::ObjectID & | ,
|  | const TypeSet< int > & | ,
|  | bool | removeold = true )
| protected

## ◆ loadSurface() [1/2]

bool uiEMPartServer::loadSurface | ( | const MultiID & | ,
|  | bool | force,
|  | const EM::SurfaceIODataSelection * | s = nullptr ) const

## ◆ loadSurface() [2/2]

bool uiEMPartServer::loadSurface | ( | const MultiID & | ,
|  | const EM::SurfaceIODataSelection * | s = nullptr ) const

## ◆ manage2DHorizons()

void uiEMPartServer::manage2DHorizons | ( |  | ) |

## ◆ manage3DFaults()

void uiEMPartServer::manage3DFaults | ( |  | ) |

## ◆ manage3DHorizons()

void uiEMPartServer::manage3DHorizons | ( |  | ) |

## ◆ manageBodies()

void uiEMPartServer::manageBodies | ( |  | ) |

## ◆ manageFaultSets()

void uiEMPartServer::manageFaultSets | ( |  | ) |

## ◆ manageFaultStickSets()

void uiEMPartServer::manageFaultStickSets | ( |  | ) |

## ◆ managePreLoad()

void uiEMPartServer::managePreLoad | ( |  | ) |

## ◆ manageSurfaces()

void uiEMPartServer::manageSurfaces | ( | const char * | typ | ) |

## ◆ name()

const char * uiEMPartServer::name | ( |  | ) | const
| inline override

## ◆ nrAttributes()

int uiEMPartServer::nrAttributes | ( | const EM::ObjectID & |  | ) | const

## ◆ processTime2Depth()

void uiEMPartServer::processTime2Depth | ( | uiParent * | ,
|  | EM::ObjectType | )

## ◆ removeTreeObject()

void uiEMPartServer::removeTreeObject | ( | const EM::ObjectID & |  | ) |

## ◆ removeUndo()

void uiEMPartServer::removeUndo | ( |  | ) |

## ◆ selectBodies()

void uiEMPartServer::selectBodies | ( | RefObjectSet< EM::EMObject > & | ,
|  | uiParent * | = nullptr )

Returned set is reffed and must be unrefed by caller.

## ◆ selectFaults()

void uiEMPartServer::selectFaults | ( | RefObjectSet< EM::EMObject > & | ,
|  | bool | is2d,
|  | uiParent * | = nullptr,
|  | const ZDomain::Info * | = nullptr )

Returned set is reffed and must be unrefed by caller.

## ◆ selectFaultSets()

void uiEMPartServer::selectFaultSets | ( | RefObjectSet< EM::EMObject > & | ,
|  | uiParent * | = nullptr,
|  | const ZDomain::Info * | = nullptr )

Returned set is reffed and must be unrefed by caller.

## ◆ selectFaultStickSets()

void uiEMPartServer::selectFaultStickSets | ( | RefObjectSet< EM::EMObject > & | ,
|  | uiParent * | = nullptr,
|  | const ZDomain::Info * | = nullptr )

Returned set is reffed and must be unrefed by caller.

## ◆ selectHorizons()

void uiEMPartServer::selectHorizons | ( | RefObjectSet< EM::EMObject > & | ,
|  | bool | is2d,
|  | uiParent * | = nullptr,
|  | const ZDomain::Info * | = nullptr )

Returned set is reffed and must be unrefed by caller.

## ◆ selectSurfaces()

void uiEMPartServer::selectSurfaces | ( | uiParent * | ,
|  | RefObjectSet< EM::EMObject > & | ,
|  | const char * | type,
|  | const ZDomain::Info * | )
| protected

## ◆ selEMID()

const EM::ObjectID & uiEMPartServer::selEMID | ( |  | ) | const
| inline

## ◆ selEMObject()

EM::EMObject * uiEMPartServer::selEMObject | ( |  | ) |

## ◆ setAuxData()

int uiEMPartServer::setAuxData | ( | const EM::ObjectID & | ,
|  | DataPointSet & | ,
|  | const char * | nm,
|  | int | valnr,
|  | float | shift )

## ◆ setHorizon3DDisplayRange()

void uiEMPartServer::setHorizon3DDisplayRange | ( | const TrcKeySampling & |  | ) |

Users can change the display range, hor 3D only.

## ◆ showLoadAuxDataDlg()

bool uiEMPartServer::showLoadAuxDataDlg | ( | const EM::ObjectID & |  | ) |

## ◆ showLoadFaultAuxDataDlg()

bool uiEMPartServer::showLoadFaultAuxDataDlg | ( | const EM::ObjectID & |  | ) |

## ◆ sKeySectionID()

static const char * uiEMPartServer::sKeySectionID | ( |  | ) |
| inline static protected

## ◆ storeAuxData()

bool uiEMPartServer::storeAuxData | ( | const EM::ObjectID & | ,
|  | BufferString & | auxdataname,
|  | bool | storeas = false ) const

## ◆ storeFaultAuxData()

bool uiEMPartServer::storeFaultAuxData | ( | const EM::ObjectID & | id,
|  | BufferString & | auxdatanm,
|  | const Array2D< float > & | data )

## ◆ storeObject() [1/2]

bool uiEMPartServer::storeObject | ( | const EM::ObjectID & | ,
|  | bool | storeas,
|  | MultiID & | storagekey,
|  | float | shift = 0 ) const

## ◆ storeObject() [2/2]

bool uiEMPartServer::storeObject | ( | const EM::ObjectID & | ,
|  | bool | storeas = false ) const

## ◆ survChangedCB()

void uiEMPartServer::survChangedCB | ( | CallBacker * |  | ) |
| protected

## ◆ usePar()

bool uiEMPartServer::usePar | ( | const IOPar & |  | ) |

## Member Data Documentation

## ◆ crhordlg_

uiCreateHorizon* uiEMPartServer::crhordlg_ = nullptr
| protected

## ◆ disponcreation_

bool uiEMPartServer::disponcreation_ = false
| protected

## ◆ exp2dhordlg_

uiExport2DHorizon* uiEMPartServer::exp2dhordlg_ = nullptr
| protected

## ◆ expfltdlg_

uiExportFault* uiEMPartServer::expfltdlg_ = nullptr
| protected

## ◆ expfltsetdlg_

uiExportFault* uiEMPartServer::expfltsetdlg_ = nullptr
| protected

## ◆ expfltstickdlg_

uiExportFault* uiEMPartServer::expfltstickdlg_ = nullptr
| protected

## ◆ exphordlg_

uiExportHorizon* uiEMPartServer::exphordlg_ = nullptr
| protected

## ◆ impbulk2dhordlg_

uiBulk2DHorizonImport* uiEMPartServer::impbulk2dhordlg_ = nullptr
| protected

## ◆ impbulkfltdlg_

uiBulkFaultImport* uiEMPartServer::impbulkfltdlg_ = nullptr
| protected

## ◆ impbulkfssdlg_

uiBulkFaultImport* uiEMPartServer::impbulkfssdlg_ = nullptr
| protected

## ◆ impbulkhordlg_

uiBulkHorizonImport* uiEMPartServer::impbulkhordlg_ = nullptr
| protected

## ◆ impfltdlg_

uiImportFault3D* uiEMPartServer::impfltdlg_ = nullptr
| protected

## ◆ impfltsetdlg_

uiBulkFaultImport* uiEMPartServer::impfltsetdlg_ = nullptr
| protected

## ◆ impfltstickdlg_

uiImportFault3D* uiEMPartServer::impfltstickdlg_ = nullptr
| protected

## ◆ impfss2ddlg_

uiImportFaultStickSet2D* uiEMPartServer::impfss2ddlg_ = nullptr
| protected

## ◆ imphorattrdlg_

uiImportHorizon* uiEMPartServer::imphorattrdlg_ = nullptr
| protected

## ◆ imphorgeomdlg_

uiImportHorizon* uiEMPartServer::imphorgeomdlg_ = nullptr
| protected

## ◆ impzmapdlg_

uiImpHorFromZMap* uiEMPartServer::impzmapdlg_ = nullptr
| protected

## ◆ man2dhordlg_

uiSurfaceMan* uiEMPartServer::man2dhordlg_ = nullptr
| protected

## ◆ man3dfaultdlg_

uiSurfaceMan* uiEMPartServer::man3dfaultdlg_ = nullptr
| protected

## ◆ man3dhordlg_

uiSurfaceMan* uiEMPartServer::man3dhordlg_ = nullptr
| protected

## ◆ manbodydlg_

uiSurfaceMan* uiEMPartServer::manbodydlg_ = nullptr
| protected

## ◆ manfltsetdlg_

uiSurfaceMan* uiEMPartServer::manfltsetdlg_ = nullptr
| protected

## ◆ manfssdlg_

uiSurfaceMan* uiEMPartServer::manfssdlg_ = nullptr
| protected

## ◆ selectedrg_

TrcKeySampling uiEMPartServer::selectedrg_
| protected

## ◆ selemid_

EM::ObjectID uiEMPartServer::selemid_
| protected

## ◆ t2d2dfssdlg_

EM::uiTime2DepthDlg* uiEMPartServer::t2d2dfssdlg_ = nullptr
| protected

## ◆ t2d2dhordlg_

EM::uiTime2DepthDlg* uiEMPartServer::t2d2dhordlg_ = nullptr
| protected

## ◆ t2d3dfssdlg_

EM::uiTime2DepthDlg* uiEMPartServer::t2d3dfssdlg_ = nullptr
| protected

## ◆ t2d3dhordlg_

EM::uiTime2DepthDlg* uiEMPartServer::t2d3dhordlg_ = nullptr
| protected

## ◆ t2dfltdlg_

EM::uiTime2DepthDlg* uiEMPartServer::t2dfltdlg_ = nullptr
| protected

## ◆ t2dfltsetdlg_

EM::uiTime2DepthDlg* uiEMPartServer::t2dfltsetdlg_ = nullptr
| protected

## ◆ variodlgs_

ObjectSet<uiVariogramDisplay> uiEMPartServer::variodlgs_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025